gapFilter-methods {xps} | R Documentation

## Gap Filter

### Description

This method initializes the Gap Filter.
The `gapFilter` looks for genes that might usefully discriminate between two groups. To do this we look for a gap in the ordered expression values. The gap should come in the central portion, thus a parameter `window` is defined to exclude jumps in the initial `window` values and the final `window` values.
The Gap Filter flags all rows with: `flag = ((gap[i+1] - gap[i])/mean >= cutoff)`

`gapFilter(object)`
`gapFilter(object, value)<-`

### Arguments

`object` | object of class `PreFilter`.
`value` | numeric vector `c(cutoff, window, trim, epsilon)`.

### Details

The method `gapFilter` initializes the following parameters:

| `cutoff`: | the cutoff level for the filter.
| `window`: | trim value for the ordered expression levels (default is `window=0.05`).
| `trim`: | the trim value for trimmed mean (default is `trim=0`).
| `epsilon`: | value to replace mean (default is `epsilon=0.01`):
|  | `epsilon > 0`: replace mean=0 with epsilon.
|  | `epsilon = 0`: always set mean=1.

Note, that for `epsilon = 0` the filter flags all rows with: (gap[i+1] - gap[i]) >= cutoff

### Value

An initialized `PreFilter` object.

### Author(s)

Christian Stratowa

### Examples

    prefltr <- PreFilter()
    gapFilter(prefltr) <- c(0.3,0.05,0.0,0.01)
    str(prefltr)

[Package xps version 1.2.10 Index]